from flask import Flask, Response, request
from datetime import datetime

app = Flask(__name__)

@app.route('/ok')
def ok_page():
    return Response("OK", status=200)

@app.route('/info')
def info_page():
    student_info = {
        "full_name": "Байсов Григорий Александрович",
        "group_number": "714"
    }
    info_text = f"""
    Информация о студенте:
    ФИО: {student_info['full_name']}
    Группа: {student_info['group_number']}
    """
    return info_text

@app.route('/')
def home():
    return "Добро пожаловать на главную страницу!"

@app.route('/status')
def status_page():
    client_ip = request.remote_addr
    ip_parts = client_ip.split('.')
    hidden_ip = f"{ip_parts[0]}.xxx.xxx.{ip_parts[3]}"
    student_info = {
        "full_name": "Байсов Григорий Александрович"
    }
    current_time = datetime.now().strftime("%Y-%m-%d %I:%M:%S %p")
    status_text = f"""
    Статус:
    IP-адрес: {hidden_ip}
    ФИО: {student_info['full_name']}
    Текущее время: {current_time}
    """
    return status_text
if __name__ == '__main__':
    app.run(debug=True, host='0.0.0.0', port=5000)
